#!/bin/bash
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

# RPM:
# $1 == 1 -- upgrade
# $1 == 0 -- uninstall

# DEB:
# $1 == remove/upgrade

# "alt-php-ssa PRE UNINSTALL STARTED"

if [[ "$1" == 0 || $1 == "remove" ]]; then
    if [ -e /usr/local/directadmin/custombuild/build ]; then
        /usr/share/clos_ssa/da_rm_ssa >/dev/null 2>&1 || :
    fi
    # Remove all clos_ssa.ini files on uninstall and autotracing configs
    /usr/sbin/cloudlinux-ssa-manager get-ssa-status | grep enabled
    if [ $? -eq 0 ]; then
        /usr/sbin/cloudlinux-ssa-manager disable-ssa >/dev/null 2>&1 || :
        /usr/sbin/cloudlinux-autotracing disable --all >/dev/null 2>&1 || :
    fi
fi

# "alt-php-ssa PRE UNINSTALL FINISHED"